// Проверка на число, причем NaN не помеха
function isNum(v) {
	return typeof v === 'number' && isFinite(v);
}

// Разрешаем вводить только цифры
function keyDownOnlyNumber(event) {
	// Разрешаем: backspace, delete, tab и escape
	if ( event.keyCode == 46 || event.keyCode == 8 || event.keyCode == 9 || event.keyCode == 27 || 
		 // Разрешаем: Ctrl+A
		(event.keyCode == 65 && event.ctrlKey === true) ||
    	// Разрешаем: home, end, влево, вправо
		(event.keyCode >= 35 && event.keyCode <= 39)) {
			 // Ничего не делаем
			 return;
	} else
	if ( // Предотвращаем стандартное поведение: Ctrl+Z
        (event.keyCode == 90 && event.ctrlKey === true) ||
        // Предотвращаем стандартное поведение: Ctrl+Y
        (event.keyCode == 89 && event.ctrlKey === true)) {
		event.preventDefault();
	}
	else {
		// Убеждаемся, что это цифра, и останавливаем событие keypress
	
		if (event.shiftKey === true || ((event.keyCode < 48 || event.keyCode > 57) && (event.keyCode < 96 || event.keyCode > 105 ))) {
			event.preventDefault(); 
		}   
	}
}